/***************************************************************************
 *   Copyright (C) 2004 by Jens Luetkens                                   *
 *   j.luetkens@limitland.de                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kconfig.h>

#include "Ridge.h"
#include "RidgeClient.h"

using namespace RIDGE;

/*
bool	Ridge::m_hasBorder		= true;
int		Ridge::m_borderSize		= 5;
bool	Ridge::m_hasOffset		= true;
int		Ridge::m_offsetSize		= 5;
bool	Ridge::m_hasDecoration	= true;
QString	Ridge::m_decorationTheme	= "Gradient";
bool	Ridge::m_hasOutline		= true;
QColor	Ridge::m_outlineAColor	= (74,84,95);
QColor	Ridge::m_outlineIColor	= (58,67,75);
*/

//
// Constructor
//
Ridge::Ridge()
{
	reset(1);
}

//
// Destructor
//
Ridge::~Ridge()
{
	m_initialized = false;
}

//
// createDecoration( KDecorationBridge *b )
//
KDecoration* Ridge::createDecoration( KDecorationBridge *b )
{
    return new RidgeClient(b, this);
}

//
// reset(unsigned long changed)
//
bool Ridge::reset(unsigned long changed)
{

    // read in the configuration
    m_initialized = false;
//    readConfig();

    // reset all clients
    resetDecorations( changed );

    m_initialized = true;

    return true;
}

/*
//
// readConfig()
//
bool Ridge::readConfig()
{

	QColor defaultAColor(74,84,95);
	QColor defaultIColor(58,67,75);

    // create a config object
    KConfig config("kwinridgerc");
    config.setGroup("General");

    m_hasBorder				= config.readBoolEntry("hasBorder", true);
    m_borderSize			= config.readNumEntry("borderSize", 3);

    m_hasOffset				= config.readBoolEntry("hasOffset", true);
    m_offsetSize			= config.readNumEntry("offsetSize", 5);

    m_hasDecoration 		= config.readBoolEntry("hasDecoration", true);
	m_decorationTheme		= config.readEntry("decorationTheme", "Gradient");

    m_hasOutline			= config.readBoolEntry("hasOutline", true);
	m_outlineAColor			= config.readColorEntry("outlineAColor", &defaultAColor);
	m_outlineIColor			= config.readColorEntry("outlineIColor", &defaultIColor);

    return true;
}
*/

//
// Plugin Stuff
//
extern "C"
{
    KDecorationFactory* create_factory()
    {
        return new Ridge();
    }
}

